.blogbuttonscenter {
  display: table;            /* Aligns items in a row */
  width: 35%;
  margin-left: 200px;
}

.blogbuttonscontainer {
  position: relative;
  display: inline-block;
  justify-content: center;
  
}

.blogbuttonsbase {
  /*display: block;  Removes bottom spacing */
  width: 100%;    /* Adjust size as needed */
}

.blogbuttonshover {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  opacity: 0;           /* Hidden by default */
}

.blogbuttonscontainer:hover  .blogbuttonshover {
  opacity: 1;
}